uk.gov.hmrc.gg

# ga

#### package ga

Visibility

1. Public
2. All

### Type Members

1. #### trait AnalyticsJsonFormats extends AnyRef

2. #### case class AnalyticsRequest(gaClientId: String, events: Seq[Event]) extends Product with Serializable

3. #### case class DimensionValue(index: Int, value: String) extends Product with Serializable

4. #### case class Event(category: String, action: String, label: String, dimensions: Seq[DimensionValue]) extends Product with Serializable

5. #### trait GoogleAnalyticsConfig extends ServicesConfig

6. #### trait GoogleAnalyticsEventSender extends AnyRef

7. #### trait GoogleAnalyticsHelper extends AnyRef

8. #### trait PlatformAnalyticsConnector extends AnalyticsJsonFormats with GoogleAnalyticsConfig

### Value Members

1. #### object GoogleAnalyticsHelper extends GoogleAnalyticsHelper with GoogleAnalyticsConfig

### Ungrouped